### Method

# Adw HeaderBar set_decoration_layout

#### Declaration [src]

    void
    adw_header_bar_set_decoration_layout (
      AdwHeaderBar* self,
      const char* layout
    )

#### Description [src]

Sets the decoration layout for `self`.

Available since: | 1.0

Sets property | `Adw.HeaderBar:decoration-layout`

#### Parameters

`layout` | `const char*`
| A decoration layout, or `NULL` to unset the layout.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.